[**brk-client**](../README.md)

***

[brk-client](../globals.md) / DateThenable

# Type Alias: DateThenable\<T\>

> **DateThenable**\<`T`\> = (`onfulfilled?`, `onrejected?`) => `Promise`\<[`DateSeriesData`](DateSeriesData.md)\<`T`\>\>

Defined in: [Developer/brk/modules/brk-client/index.js:1711](https://github.com/bitcoinresearchkit/brk/blob/f363f65275d140f73b1a471070edcc576fd24a17/modules/brk-client/index.js#L1711)

## Type Parameters

### T

`T`

## Parameters

### onfulfilled?

(`value`) => `any`

### onrejected?

(`reason`) => `never`

## Returns

`Promise`\<[`DateSeriesData`](DateSeriesData.md)\<`T`\>\>
